Skip to main content
POST
Get vehicle details by UUIDs

Headers

x-api-key
any
required

Api key required to authenticate your request. Please reach out to monument for a key.

Example:

"monument-2230012-2312321"

Path Parameters

facilityUuid
string
required

Body

application/json
vehicleUuids
string<uuid>[]
required

Array of vehicle UUIDs to retrieve details for

Example:

Response

Vehicle details retrieved

facilityUuid
string<uuid>
required

Facility UUID where the vehicle is registered

Example:

"1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d"

rentalRecordUuid
string<uuid>
required

Unit rental record UUID associated with this vehicle

Example:

"2a3b4c5d-6e7f-8a9b-0c1d-2e3f4a5b6c7d"

vehicleUuid
string<uuid>
required

Vehicle UUID

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

createdAt
string<date-time>
required

Timestamp when the vehicle was created

Example:

"2024-01-15T10:30:00.000Z"

updatedAt
string<date-time>
required

Timestamp when the vehicle was last updated

Example:

"2024-01-20T15:45:00.000Z"

type
string | null

Type of the vehicle

Example:

"Sedan"

licensePlateNumber
string | null

License plate number of the vehicle

Example:

"ABC-1234"

make
string | null

Make of the vehicle

Example:

"Toyota"

model
string | null

Model of the vehicle

Example:

"Camry"

vin
string | null

Vehicle Identification Number (VIN)

Example:

"1HGCM82633A123456"